package com.xhpc.general.service;

import com.xhpc.common.core.web.domain.AjaxResult;
import com.xhpc.general.domain.HelpEntity;

import java.util.List;
import java.util.Map;

/**帮助service接口
 * program: ruoyi
 * User: HongYun
 * Date:2021-08-02 11
 */
public interface IXhpcHelpService {
    /**
     * Deleting a helpItem by help_id.
     * @param id
     * @return
     */
    AjaxResult deleteHelpItem(Long helpId);

    /**
     * Inserting a helpItem by ....
     * @param title
     * @param content
     * @param type
     * @return
     */
    AjaxResult insertHelpItem(String title,String content,Integer type);


    AjaxResult updateHelpItem(Long helpId,String title,String content,Integer type);


    List<HelpEntity> selectHelpItems(String title, String createBy, Integer type);

    AjaxResult selectHelpItem(Long helpId);

    List<Map<String,Object>> selectTitleId(Integer type);

    /**
     * Getting the title,content by its's helpId which will be used by small app.
     * @param helpId
     * @return
     */
    Map<String,Object> selectDetails(Long helpId);
}
